Bug 2027028 - rust-ouroboros-0.15.0 is available
Summary: rust-ouroboros-0.15.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-ouroboros
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Heimes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2063941 2078968
TreeView+ depends on / blocked
 
Reported: 2021-11-27 06:12 UTC by Upstream Release Monitoring
Modified: 2022-05-05 07:16 UTC (History)
4 users (show)

Fixed In Version: rust-ouroboros-0.15.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-05 06:40:34 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-11-27 06:12:58 UTC
Latest upstream release: 0.14.0
Current version/release in rawhide: 0.12.0-1.fc36
URL: https://crates.io/crates/ouroboros/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/212185/

Comment 1 Upstream Release Monitoring 2022-02-12 17:28:46 UTC
Latest upstream release: 0.14.2
Current version/release in rawhide: 0.13.0-3.fc36
URL: https://crates.io/crates/ouroboros/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/212185/

Comment 2 Upstream Release Monitoring 2022-03-20 03:22:00 UTC
Latest upstream release: 0.15.0
Current version/release in rawhide: 0.13.0-3.fc36
URL: https://crates.io/crates/ouroboros/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/212185/

Comment 3 Mads Kiilerich 2022-05-03 13:11:42 UTC
It would be nice to get this updated in rawhide so the Mercurial package doesn't have to be patched to use the old version in Fedora.

Comment 4 Fabio Valentini 2022-05-04 08:48:36 UTC
Looks like python-cryptography already bumped to ouroboros 0.15 too:
https://github.com/pyca/cryptography/commit/c7b5f5c92d8a296acc381704f8af106bf84d2d53
As soon as the Fedora package is updated to cryptography 37.0.0, we'll need ouroboros 0.15 anyway.

Comment 5 Fedora Update System 2022-05-05 06:37:47 UTC
FEDORA-2022-fe6415b022 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fe6415b022

Comment 6 Fedora Update System 2022-05-05 06:40:34 UTC
FEDORA-2022-fe6415b022 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-05-05 07:15:44 UTC
FEDORA-2022-2e88bd3395 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2e88bd3395

Comment 8 Fedora Update System 2022-05-05 07:16:35 UTC
FEDORA-2022-2e88bd3395 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.